package com.css.simulation.resource.system.mapper;

import api.common.pojo.param.scene.SceneImportTaskParam;
import api.common.pojo.po.system.SceneImportPO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface SceneImportMapper {

    List<SceneImportPO> checkName(SceneImportPO po);
    List<SceneImportPO> querySceneImportList(SceneImportTaskParam po);

    void insert(SceneImportPO po);

    void update(SceneImportPO po);

    void updateStatus(SceneImportPO po);
    void updateSceneImportTask(SceneImportPO po);
}
